Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.row
Class SpeedTest

    java.lang.Object
      org.pentaho.di.core.row.SpeedTest

    public class SpeedTest

extends Object

Field Summary
`static int` | `ITERATIONS`

Constructor Summary
`SpeedTest()`

Method Summary
`static void` | `main(String[] args)`
`long` | `runTestMixed10(int iterations)`
`long` | `runTestMixed100(int iterations)`
`long` | `runTestMixed1000(int iterations)`
`long` | `runTestStrings10(int iterations)`
`long` | `runTestStrings100(int iterations)`
`long` | `runTestStrings1000(int iterations)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITERATIONS

    public static final int ITERATIONS

See Also:
  Constant Field Values

Constructor Detail

### SpeedTest

    public SpeedTest()

Method Detail

### runTestStrings10

    public long runTestStrings10(int iterations)
                          throws KettleValueException

  Throws:
    `KettleValueException`

### runTestMixed10

    public long runTestMixed10(int iterations)
                        throws KettleValueException

  Throws:
    `KettleValueException`

### runTestStrings100

    public long runTestStrings100(int iterations)
                           throws KettleValueException

  Throws:
    `KettleValueException`

### runTestMixed100

    public long runTestMixed100(int iterations)
                         throws KettleValueException

  Throws:
    `KettleValueException`

### runTestStrings1000

    public long runTestStrings1000(int iterations)
                            throws KettleValueException

  Throws:
    `KettleValueException`

### runTestMixed1000

    public long runTestMixed1000(int iterations)
                          throws KettleValueException

  Throws:
    `KettleValueException`

### main

    public static void main(String[] args)
                     throws KettleValueException

  Throws:
    `KettleValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD